Bug 1214362 - cannot execute /usr/bin/tracker-control
Summary: cannot execute /usr/bin/tracker-control
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-22 14:35 UTC by HAT
Modified: 2016-02-22 20:49 UTC (History)
10 users (show)

Fixed In Version: tracker-1.4.1-1.fc22 tracker-1.4.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-22 20:49:55 UTC
Type: Bug


Attachments (Terms of Use)
upstream patch (3.54 KB, patch)
2015-07-07 13:58 UTC, Yanko Kaneti
no flags Details | Diff

Description HAT 2015-04-22 14:35:56 UTC
Description of problem:
cannot execute /usr/bin/tracker-control because not set execute-bit.

# cd /usr/bin/
# ls -l tracker-*
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-control
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-import
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-info
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-search
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-sparql
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-stats
-rw-r--r-- 1 root root    283 Mar 24 19:23 tracker-tag


Version-Release number of selected component (if applicable):
tracker-1.4.0-1.fc22.x86_64

How reproducible:
    # /usr/bin/tracker-control
    /usr/bin/tracker-control: Permission denied.

Steps to Reproduce:
1. 
    cannot execute /usr/bin/tracker-control
2.
    # cd /usr/bin/
    # chmod +x tracker-*
3.
   can execute /usr/bin/tracker-control

Comment 1 Berend De Schouwer 2015-06-22 16:08:42 UTC
This also prevents tracker-preferences from clearing it's indexes.

Comment 2 Yanko Kaneti 2015-07-07 13:58:00 UTC
Created attachment 1049324 [details]
upstream patch

Attaching a cherry picked upstream fix for this that works here applied on top of the rawhide tracker.
https://bugzilla.gnome.org/show_bug.cgi?id=748677

Comment 3 David King 2015-09-08 10:42:45 UTC
The upstream patch made it into 1.4.1.

Comment 4 mario 2016-02-12 13:46:48 UTC
I just discovered I still suffer it, 

[root@localhost ~]# tracker-control
bash: /usr/bin/tracker-control: Permission denied

where:

[root@localhost ~]# uname -a
Linux localhost.localdomain 4.1.3-201.fc22.i686+PAE #1 SMP Wed Jul 29 20:36:37 UTC 2015 i686 i686 i386 GNU/Linux

Installed Packages
Name        : tracker
Arch        : i686
Epoch       : 0
Version     : 1.4.2
Release     : 1.fc22

Comment 5 Fedora Update System 2016-02-12 16:29:44 UTC
tracker-1.4.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-25226c74b8

Comment 6 Fedora Update System 2016-02-15 04:52:55 UTC
tracker-1.4.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-25226c74b8

Comment 7 Fedora Update System 2016-02-22 20:49:49 UTC
tracker-1.4.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.